Name: elinks
Version: 0.4.3
%define pre %nil
Release: alt7%pre

# alternatives
%set_compress_method gzip

Summary: Lynx-like text WWW browser
License: GPL
Group: Networking/WWW

Url: http://elinks.or.cz
Source0: http://elinks.or.cz/download/%name-%version%pre.tar.bz2
Source1: www_section.xpm

#atch0: %name-0.4.2-cvs-20030526.patch.bz2
Patch1: %name-0.4.2-alt-owl-tmp.patch
Patch2: %name-0.4.2cvs-alt-pld-lua-scripts-fixes.patch
Patch3: %name-0.4.0rc4-alt-hooks.patch
Patch4: %name-0.4.2-alt-default-lang-charset.patch
Patch5: %name-0.4.2-alt-dialog-height.patch

PreReq: alternatives >= 0.0.6

Requires: common-licenses
Provides: webclient, links, /usr/bin/links

# Automatically added by buildreq on Thu Nov 27 2003
BuildRequires: bzlib-devel libalternatives-devel libexpat-devel libgpm-devel liblua4-devel libssl-devel zlib-devel

%description
ELinks is advanced text-mode web browser with wide scale of additional
features and extensibility by possibility to plug in own scripts in Lua
language. This project aims to provide feature-rich version of Links,
with more open patches/features inclusion policy.

%prep
%setup -q -n %name-%version%pre
#patch0 -p1
#patch1 -p1 --disabled
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure --without-x --sysconfdir=%_sysconfdir/%name
(cd Unicode; LC_ALL=C ./gen )
%make_build CFLAGS="%optflags -Werror"

%install
%makeinstall
install -d %buildroot%_menudir
install -d %buildroot%_altdir

cat <<EOF >%buildroot%_menudir/%name
?package(%name):  \
	command="/usr/bin/elinks" \
	needs="text" \
	icon="%name.xpm" \
	section="Networking/WWW" \
	title="ELinks" \
	longtitle="Lynx-like text WWW browser"
EOF

cat <<__EOF__ >%buildroot%_altdir/%name
<group name="candidate">
    <option name="link">%_bindir/links</option>
    <option name="real">%_bindir/%name</option>
    <option name="weight" type="number">30</option>
    <group name="slave">
        <option name="link">%_man1dir/links.1.gz</option>
        <option name="real">%_man1dir/%name.1.gz</option>
    </group>
</group>
__EOF__

%__install -pD -m644 %SOURCE1 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 contrib/lua/config.lua %buildroot%_sysconfdir/%name/config.lua
%__install -pD -m644 contrib/lua/hooks.lua %buildroot%_sysconfdir/%name/hooks.lua
%__ln_s -f /usr/share/license/GPL-2 COPYING

cat <<__EOF__ >%buildroot%_sysconfdir/%name/%name.conf
# ALT defaults for ELinks
set terminal._template_.colors = 1
set terminal._template_.type = 1

set ui.startup_goto_dialog = 0
__EOF__

find contrib '(' -name CVS -o -name 'Makefile*' ')' -print0 | xargs -r0 %__rm -rf --

%post
%register_alternatives %name -- links links.1.gz
%update_menus

%triggerpostun -- links, %name < 0.4.1
%register_alternatives %name -- links links.1.gz

%preun
%unregister_alternatives %name

%postun
%clean_menus

%files
%_bindir/*
%config(noreplace) %_sysconfdir/%name/
%_mandir/man?/*
%_menudir/%name
%_altdir/%name
%_iconsdir/*.xpm
%doc AUTHORS BUGS ChangeLog INSTALL NEWS README SITES THANKS TODO
%doc --no-dereference COPYING 
%doc contrib

%changelog
* Thu Nov 27 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt7
- 0.4.3 finally released

* Tue Sep 16 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt6rc2
- alt-owl-tmp.patch disabled again since it breaks things down

* Wed Sep 10 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt4rc2
- alt-owl-tmp.patch resurrected (the use of tempnam(3) eliminated)
- gcc -Werror enabled

* Thu Sep 04 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt3rc2
- 0.4.3rc2
- cpan (=search.cpan.org) added to hooks.lua

* Fri Jun 20 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt2rc1
- rebuild to fit to new lua4-devel package

* Tue Jun 10 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt1rc1
- 0.4.3rc1

* Wed May 27 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt8
- cvs fixes (20030526); patches reordered
- increase height for big dialogs (alt-dialog-height.patch)
- use colors and frames for all terminals by default

* Thu May 08 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt7
- cvs fixes (REL_0_4 20030507)
- added alt (=search.altlinux.ru) and atmsk (=atmks.ru) hooks

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt6
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt5
- PreReq fixes

* Wed Mar 12 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt4
- update buildreqs

* Tue Mar 11 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt3
- move to new alternatives scheme
  warning to mantainter: alternatives removing must be in preun
- added packager tag

* Fri Mar 07 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt2
- alt-default-lang-charset (according to locale settings) patch

* Sun Jan 26 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt1
- 0.4.2 (a few fixes)
- alt-owl-tmp patch disabled; this requires extra study

* Tue Jan 21 2003 Alexey Tourbin <at@altlinux.ru> 0.4.1-alt1cvs
- 0.4.1 (bugfix release) + current-stable fixes (cvs-20030120 patch;
  my env-http_proxy patch accepted)
- fixed %%postun code
- lua-scripts-fixes patch integrated (PLD Team)
- yandex search added to hooks.lua (alt-hooks patch)
- COPYING points to /usr/share/license/GPL-2

* Tue Dec 24 2002 Alexey Tourbin <at@altlinux.ru> 0.4.0-alt1
- initial build (based on links1-0.98-alt3)
